Author Topic: OXCE version check  (Read 574 times)

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 4959
  • Aaand we're back!
    • View Profile
    • My Wiki
OXCE version check
« on: March 04, 2019, 11:57:17 am »
Hi all,

since OXC 1.0 nightly (openxcom_git_master_2019_03_04_0513.zip)
and
OXCE v5.3 (coming out soon)

there will be a check for required OXCE version.

The check will be done when:
1. enabling a mod
2. selecting a master mod

OXC will only check if OXCE is required or not;
OXCE will also check the minimum required version of OXCE.

The definition of minimum required OXCE version is done via metadata.yml, for example:

Code: [Select]
name: "My OXCE mod"
version: 1.3.1a
author: Meridian
description: "Something clever."
id: "my-oxce-mod"
master: "xcom1"
requiredExtendedVersion: "5.3"

OXCE will additionally make a check during the game startup... this is useful when a player upgrades a mod in-place (i.e. doesn't have to enable it in the options). If a problem is found, a message like this will appear in the log file:

Code: [Select]
[03-03-2019_22-46-17] [ERROR] Mod 'X-Com Files' requires at least OXCE v5.3

PS: the checks only inform the player about the OXCE requirement... it will still be possible to enable any mod if the player chooses to ignore the requirement

niculinux

  • Guest
Re: OXCE version check
« Reply #1 on: March 04, 2019, 02:59:16 pm »
Great, that was really needed!

Offline BlackStaff

  • Colonel
  • ****
  • Posts: 121
    • View Profile
Re: OXCE version check
« Reply #2 on: March 04, 2019, 06:52:54 pm »
It's a very good idea this control!  :)

It is to update this "option" that there are round trips in the OXCE versions?
A few days ago I downloaded in your topic the version "5.2  2019-02-22" and today I see that you have given a version "5.2 2019-01-16".  :-[


Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 4959
  • Aaand we're back!
    • View Profile
    • My Wiki
Re: OXCE version check
« Reply #3 on: March 04, 2019, 07:06:45 pm »
It's a very good idea this control!  :)

It is to update this "option" that there are round trips in the OXCE versions?
A few days ago I downloaded in your topic the version "5.2  2019-02-22" and today I see that you have given a version "5.2 2019-01-16".  :-[

I have removed 2019-02-22 from official download, because it has a major bug.

Offline BlackStaff

  • Colonel
  • ****
  • Posts: 121
    • View Profile
Re: OXCE version check
« Reply #4 on: March 05, 2019, 04:42:06 pm »
Thank you for the answer!  :)